Subject: [lamps] Secdir telechat review of draft-ietf-lamps-cms-mix-with-psk-06

From: Phillip Hallam-Baker via Datatracker <[email-masked]>
Date: Tue, 20 Aug 2019 13:19:20 -0700

Reviewer: Phillip Hallam-Baker
Review result: Ready

We need the capability, the text is readable and there is a formal proof. What
more could we ask for?

The document provides a mechanism for protecting encrypted data by constructing
a symmetric key from the combination of a key agreement value constructed in
the normal fashion and a shared secret. This construction provides protection
against quantum cryptanalysis.

Application of the scheme is outside the scope of the document and is likely to
be challenging as the scheme has to rely on the shared secret not being exposed
in any form vulnerable to quantum cryptanalysis.